Package htsjdk.samtools.example

# Class ExampleSamUsage

java.lang.Object
htsjdk.samtools.example.ExampleSamUsage

public class ExampleSamUsage extends Object

## Constructor Summary

Constructors
Constructor
Description
`ExampleSamUsage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`convertReadNamesToUpperCase(File inputSamOrBamFile, File outputSamOrBamFile)`
Read a SAM or BAM file, convert each read name to upper case, and write a new SAM or BAM file.
`static SeekableStream`
`myIndexSeekableStream()`
`void`
`openSamExamples()`
Example usages of `SamReaderFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExampleSamUsage

public ExampleSamUsage()

## Method Details

### myIndexSeekableStream

public static SeekableStream myIndexSeekableStream()

### openSamExamples

public void openSamExamples() throws MalformedURLException
Example usages of `SamReaderFactory`

Throws:
  `MalformedURLException`

### convertReadNamesToUpperCase

public void convertReadNamesToUpperCase(File inputSamOrBamFile, File outputSamOrBamFile) throws IOException
Read a SAM or BAM file, convert each read name to upper case, and write a new SAM or BAM file.

Throws:
  `IOException`